EMPB(4)

NAME
empb - ELBOX Mediator 1200 PCI bridge driver

SYNOPSIS
empb0 at zbus0
emmem0 at zbus0
empm0 at zbus0
pci* at empb0
options PCI_NETBSD_CONFIGURE

DESCRIPTION
The empb driver provides support for the PCI bus present on Mediator 1200 bridge for Amiga 1200.

HARDWARE
The empb driver supports the following hardware:

ELBOX Mediator PCI 1200

ELBOX Mediator PCI 1200 LT2

ELBOX Mediator PCI 1200 LT4

ELBOX Mediator PCI 1200 SX

ELBOX Mediator PCI 1200 TX

DIAGNOSTICS

empb: linear space mapping might not work The PCI card driver is trying map memory space with the BUS_SPACE_MAP_LINEAR flag. Due to the windowed design of Mediator, it is expected to fail miserably if normal memory space access methods (e.g., pointer dereference) are used instead of bus_space(9) methods.

empb%d: couldn't find memory space, check your WINDOW jumper PCI memory space access is disabled on a hardware level. The empb driver will work anyway, but only PCI I/O space will be accessible. To enable memory space set the WINDOW jumper to 4MB or 8MB.

SEE ALSO
em4k(4), mppb(4), p5pb(4), pci(4)

HISTORY
The empb device first appeared in NetBSD 7.0.

AUTHORS
-nosplit The empb driver was written by Radoslaw Kujawa <radoslaw.kujawa@gmail.com>. It was developed using information obtained through reverse engineering by Frank Wille and Radoslaw Kujawa. The authors have no access to official documentation (which is only available under NDA).

CAVEATS
Mediator ZIV might work but is untested.

BUGS
DMA to host memory is not supported. This is a hardware limitation. It is possible to implement DMA through bounce buffers in graphics card memory, but this needs further research.